# Electronic Brick - Vibrator Brick #

## Introduction ##

This is a vibrator brick suitable as a non-audible indicator. When the input is HIGH, the motor will vibrate just like your cell phone on silent mode.


## Feature ##

- Non-audible
- Low power consumption
- High reliability
- Grove Interface

## Specification ##

<table>
<tr>
  <th>PCB size</th>
  <td>36mm X 24mm X 1.6mm</td>
</tr>
<tr>
  <th>Power supply</th>
  <td>3.3/5V DC</td>
</tr>
<tr>
  <th>Compatible interfaces</th>
  <td>2.54 3-pin interface and 4-pin Grove interface*</td>
</tr>
</table>

Note 1： S for analog output port, V and G for voltage at the common collector and ground respectively

Note 2： When Logic HIGH, the motor is ON. When LOW, the motor is OFF.


## Electrical Characteristics ##

<table>
<tr>
  <th>Parameter</th>
  <th>Min.</th>
  <th>Typical</th>
  <th>Max.</th>
  <th>Unit</th>
</tr>
<tr>
  <td>Operating Voltage</td>
  <td>3.0</td>
  <td>5</td>
  <td>5.5</td>
  <td>VDC</td>
</tr>
<tr>
  <td>Current</td>
  <td> </td>
  <td>100</td>
  <td> </td>
  <td>mA</td>
</tr>
<tr>
  <td>Input voltage(on)</td>
  <td>0.7</td>
  <td>5</td>
  <td>5.5</td>
  <td>V</td>
</tr>
<tr>
  <td>Rated speed</td>
  <td></td>
  <td>9000</td>
  <td></td>
  <td>rpm</td>
</tr>
</table>

## Usage ##

To make it vibrate is just as easy as to turn on an LED. Here is an example showing how to turn on the vibration motor.



## Example ##
Connect it to D9 port of Iteaduino UNO.

The demo code as show below.

	int MoPin = 9;    // vibrator Grove connected to digital pin 9

	void setup()  { 
	  pinMode( MoPin, OUTPUT );
	} 

	void loop()  { 

	    digitalWrite(MoPin, HIGH);         
 	 	delay(1000);       
 	                    
	    digitalWrite(MoPin, LOW);         
 	    delay(1000); 
	 }

	}

Now, feel the vibration of your motor!